petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDrawHGSetLimits

Sets the axis limits for a histogram. If more points are added after this call, the limits will be adjusted to include those additional points.

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawHGSetLimits(PetscDrawHG hist, PetscReal x_min, PetscReal x_max, int y_min, int y_max)

Logically Collective on PetscDrawHG

### Input Parameters

| hist | - The histogram context
| x_min,x_max,y_min,y_max | - The limits

### See Also

PetscDrawHGCreate(), PetscDrawHGGetDraw(), PetscDrawSetSave(), PetscDrawSave(), PetscDrawHGDraw(), PetscDrawHGGetAxis()

### Level

intermediate

### Location

src/sys/classes/draw/utils/hists.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages